# Class JmxUtil

java.lang.Object
org.apache.tomcat.jdbc.pool.jmx.JmxUtil

public class JmxUtil extends Object
Utility class for JMX registration of JDBC pool components.

## Method Summary

Modifier and Type
Method
Description
`static ObjectName`
`registerJmx(ObjectName base, String keyprop, Object obj)`
Register an object as an MBean.
`static void`
`unregisterJmx(ObjectName oname)`
Unregister an MBean.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### registerJmx

public static ObjectName registerJmx(ObjectName base, String keyprop, Object obj)
Register an object as an MBean.

Parameters:
  `base` - the base object name
  `keyprop` - the key property
  `obj` - the object to register
Returns:
  the registered object name, or `null` on failure

### unregisterJmx

public static void unregisterJmx(ObjectName oname)
Unregister an MBean.

Parameters:
  `oname` - the object name to unregister